package swingtables.logic;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

public class DbGenre extends Genre {

    static DbGenre getById(int id) throws SQLException {
        List<DbGenre> genres = MoviesDatasource.getInstance().getGenres();
        for (DbGenre genre : genres) {
            if (genre.getId().equals(id)) {
                return genre;
            }
        }
        throw new SQLException("No such genre found");
    }

    public DbGenre(ResultSet rs) throws SQLException {
        setId(rs.getInt("ID"));
        setGenreName(rs.getString("GENRE_NAME"));
    }
}
